Predefined constants

- « Syntax

- Magic constants »

- PHP Manual
- Constants
- Predefined constants

## Predefined constants

PHP provides a large number of predefined constants to any script which it runs. Many of these constants, however, are created by various extensions, and will only be present when those extensions are available, either via dynamic loading or because they have been compiled in.